#!/bin/sh

XORG_PATH=/usr/local/AppCentral/xorg

if [ ! -e $XORG_PATH/CONTROL/env.sh ]; then
    echo "Can't find $XORG_PATH/CONTROL/env.sh"
    exit 1
fi

source $XORG_PATH/CONTROL/env.sh

PKG_PATH=/usr/local/AppCentral/snes9x

export SNES9X_BIN_PATH=$PKG_PATH/bin:$PKG_PATH/usr/bin:$XORG_BIN_PATH
export SNES9X_LD_LIBRARY_PATH=$PKG_PATH/usr/lib:$PKG_PATH/usr/lib/i386-linux-gnu:$PKG_PATH/usr/local/lib:$XORG_LD_LIBRARY_PATH
export PATH=$SNES9X_BIN_PATH:/bin:/sbin:/usr/bin:/usr/sbin:/usr/builtin/bin:/usr/builtin/sbin:/usr/local/bin:/usr/local/sbin
export LD_LIBRARY_PATH=$SNES9X_LD_LIBRARY_PATH:$PKG_PATH/usr/share/icons:/usr/lib64:/usr/lib


export HOME=$PKG_PATH
export SNES9X_HOME=$PKG_PATH/.snes9x
#export LD_PRELOAD=$PKG_PATH/lib/libiconv.so.0

export DISPLAY=:0
DEBUG="false"

if [ "true" == "$DEBUG" ]; then

echo ">>>SNES9X env>>>"
echo PKG_PATH: $PKG_PATH
echo ""
echo SNES9X_BIN_PATH: $SNES9X_BIN_PATH
echo ""
echo SNES9X_LD_LIBRARY_PATH: $SNES9X_LD_LIBRARY_PATH
echo ""
echo PATH: $PATH
echo ""
echo LD_LIBRARY_PATH: $LD_LIBRARY_PATH
echo ""
echo DISPLAY: $DISPLAY
echo ""
echo SNES9X_HOME: $SNES9X_HOME
echo ""
echo LD_PRELOAD: $LD_PRELOAD
echo "<<<SNES9X env<<<"

fi
