#!/bin/sh -e

PKG_PATH=/usr/local/AppCentral/snes9x

if [ ! -e $PKG_PATH/CONTROL/env.sh ]; then
    echo "Can't find $PKG_PATH/CONTROL/env.sh"
    exit 1
fi

source $PKG_PATH/CONTROL/env.sh

export HOME=$PKG_PATH
export snes9x_HOME=$PKG_PATH
#export LD_PRELOAD=$PKG_PATH/lib/libiconv.so.0
export DATADIR=$HOME/.config
#execute
#cd $PKG_PATH/bin &&  snes9x-gtk


RESOLUTION=$(xrandr | head -1 | grep 'Screen.*current.*,' | awk '{FS=","} {print $2}' | tr -d 'current'| tr -d " *")
RESOLUTION_W=$(echo "$RESOLUTION" | awk '{FS="x"} {print $1}')                                                          
RESOLUTION_H=$(echo "$RESOLUTION" | awk '{FS="x"} {print $2}')                                                          

echo "RESOLUTION_W: $RESOLUTION_W"                                                                                      
echo "RESOLUTION_H: $RESOLUTION_H"

xdotool search --onlyvisible --class snes9x-gtk windowmove 0 0
xdotool search --onlyvisible --class snes9x-gtk  windowsize $RESOLUTION_W $RESOLUTION_H
